<?

$row = $this->settings->Assoc();
$list = ($this->settings->Numrows == 0 ? _Title : '');

$i = 1;
while($row2 = $this->templates->Each()){

	if($row2['value']){

		if( trim($row['value']) ){

			$list .= str_replace('"', '', trim($row2['value']));
		}
		else if( trim($row2['value']) && $i > 1 ){

			$list .= str_replace('"', '', trim($row2['value']));
		}
		else{

			$list .= str_replace('"', '', trim($row2['value']));
		}
		$i++;
	}
}

$list .= ($list ? $this->add_separator : '').trim($row['value']);

echo substr(trim(strip_tags($list)), 0, 350);

?>